# RPM specfile for ximian-menus module
# Generated Tue Jun 25 18:10:04 2002 GMT by Ximian build system
# $Id: bb_do,v 1.186 2002/06/10 19:52:03 peter Exp $
# from $Id: ximian-build.conf,v 1.30 2002/06/25 17:28:55 dobey Exp $

%define nam	ximian-menus
%define ver	1.4.3
%define ximrev	2

Name:     	ximian-menus
Version: 	1.4.3
Release:	1.ximian.2
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Linux Mandrake 8.2 / i586
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.ximian.com/
Source0:	ximian-menus-1.4.3.tar.gz
Patch0:		ximian-menus-ximian-evolution.patch
Summary:	Ximian GNOME's new menu arrangement.
Group:		User Interfaces/Desktops
Provides:	ximian-ximian-menus = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
This package contains a set of menu files which create Ximian GNOME's Programs menu.

%files
%defattr(-, root, root)
/usr/share/gnome/ximian
/etc/X11/sysconfig/*
/usr/share/pixmaps/*
/usr/*/locale/*/LC_MESSAGES/*.mo


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n ximian-menus-1.4.3
    ;;
all)
%setup  -q -n ximian-menus-1.4.3
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Tue Jun 25 2002 Ximian, Inc.

- Version: 1.4.3-1.ximian.2
- Summary: New build.
- New automated build.

* Mon Jun 3 2002 Ximian, Inc.

- Version: 1.4.2-1.ximian.2
- Summary: New build.
- New automated build.

* Thu Apr 4 2002 Ximian, Inc.

- Version: 1.4.1.1-1.ximian.1
- Summary: New build.
- New automated build.

* Thu Mar 21 2002 Ximian, Inc.

- Version: 1.4.1-1.ximian.3
- Summary: New build.
- New automated build.

